Subject: Re: bug#74400: 31.0.50; tramp-loaddefs.elc suddenly owned by root

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Jan 2025 08:55:05 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>,  [email-masked],  Eli
>  Zaretskii <[email-masked]>
> Date: Sat, 04 Jan 2025 23:11:05 +0100
> 
> Michael Albinus <[email-masked]> writes:
> 
> > +If the directories, 'make install' copies the files to, are not writable
> > +with your own permissions, you might prefer calling 'sudo make install'.
> > +Note, that this command checks the completeness of all needed files; if
> 
> Something's weird about your commas (or your comma key).  I would remove
> all but the third (after the word "permissions") - Eli may be able to
> help more.

Is the below better?

  If the directories where 'make install' installs files are not
  writable by your user, you might prefer invoking 'sudo make install'
  instead.  Note that this latter command checks whether all the files
  that are needed for the installation are ready and up-to-date; if
  there are missing or outdated files, they will be regenerated or
  rebuilt, and might then be created as owned by root.  To avoid
  creating files with root ownership, you should always invoke
  'make && sudo make install' instead.

And I have a question: why not suggest to use 'make && sudo make
install' to begin with, instead of showing a dangerous command and
then explaining why not use it?  Like this:

  If the directories where 'make install' installs files are not
  writable by your user, you might prefer invoking 'make && sudo make
  install' instead.  This first invokes 'make' to make sure all the
  required files are rebuilt with your user's permissions and
  ownership, and then installs them using the permissions of root.